Bug 231866 - Crash when assigning score
Summary: Crash when assigning score
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Database-Scan (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-23 05:34 UTC by Edmon
Modified: 2017-07-26 16:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edmon 2010-03-23 05:34:35 UTC
Application that crashed: digikam
Version of the application: 1.0.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-20-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
1) Open an album
2) Move from photo to photo (preview or thumbnails)
3) Change the score to some of them... at some point Digikam is going to crash

Note: the album is on a network filesystem, so assigning score has some delays.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77e7920 (LWP 4173))]

Thread 18 (Thread 0xb5f28b70 (LWP 4174)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x05f9fc83 in __xstat64 () from /lib/tls/i686/cmov/libc.so.6
#2  0x01a3e715 in stat64 (this=0xa18e9960) at /usr/include/sys/stat.h:504
#3  QFSFileEnginePrivate::doStat (this=0xa18e9960) at io/qfsfileengine_unix.cpp:538
#4  0x01a3f75d in QFSFileEngine::fileFlags (this=0xa18e9950, type=...) at io/qfsfileengine_unix.cpp:610
#5  0x019fa7b2 in QFileInfoPrivate::getFileFlags (this=0xa0e33370, request=...) at io/qfileinfo.cpp:222
#6  0x019fa91c in QFileInfo::isFile (this=0xa0e34e7c) at io/qfileinfo.cpp:1037
#7  0x088258ef in Digikam::CollectionScanner::scanAlbum (this=0xb5f282f0, location=..., album=...) at /build/buildd/digikam-1.0.0/libs/database/collectionscanner.cpp:622
#8  0x08827227 in Digikam::CollectionScanner::partialScan (this=0xb5f282f0, albumRoot=..., album=...) at /build/buildd/digikam-1.0.0/libs/database/collectionscanner.cpp:319
#9  0x088275c4 in Digikam::CollectionScanner::partialScan (this=0xb5f282f0, filePath=...) at /build/buildd/digikam-1.0.0/libs/database/collectionscanner.cpp:271
#10 0x08319d0d in Digikam::ScanController::run (this=0xa038fd8) at /build/buildd/digikam-1.0.0/digikam/scancontroller.cpp:534
#11 0x01974e32 in QThreadPrivate::start (arg=0xa038fd8) at thread/qthread_unix.cpp:188
#12 0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 17 (Thread 0xb5675b70 (LWP 4176)):
#0  0x04caa144 in __pthread_mutex_unlock_usercnt () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x05fbda86 in pthread_mutex_unlock () from /lib/tls/i686/cmov/libc.so.6
#2  0x0695ac7a in IA__g_main_context_check (context=0xa1938d8, max_priority=2147483647, fds=0xa1ad1d8, n_fds=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2495
#3  0x0695b47c in g_main_context_iterate (context=0xa1938d8, block=<value optimized out>, dispatch=1, self=0xa1ad1b0) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2588
#4  0x0695b863 in IA__g_main_context_iteration (context=0xa1938d8, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#5  0x01a90067 in QEventDispatcherGlib::processEvents (this=0xa193868, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x01a63c79 in QEventLoop::processEvents (this=0xb56752e4, flags=) at kernel/qeventloop.cpp:149
#7  0x01a640ca in QEventLoop::exec (this=0xb56752e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x01971b73 in QThread::exec (this=0xa1935b8) at thread/qthread.cpp:487
#9  0x088a234d in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#10 0x01974e32 in QThreadPrivate::start (arg=0xa1935b8) at thread/qthread_unix.cpp:188
#11 0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xb4de8b70 (LWP 4177)):
#0  0x01a901b1 in timerSourcePrepare (source=0xa1b2190, timeout=0xb4de811c) at kernel/qeventdispatcher_glib.cpp:133
#1  0x0695af90 in IA__g_main_context_prepare (context=0xa1b18d0, priority=0xb4de819c) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2280
#2  0x0695b351 in g_main_context_iterate (context=0xa1b18d0, block=<value optimized out>, dispatch=1, self=0xa193808) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2571
#3  0x0695b863 in IA__g_main_context_iteration (context=0xa1b18d0, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#4  0x01a90067 in QEventDispatcherGlib::processEvents (this=0xa193858, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#5  0x01a63c79 in QEventLoop::processEvents (this=0xb4de82e4, flags=) at kernel/qeventloop.cpp:149
#6  0x01a640ca in QEventLoop::exec (this=0xb4de82e4, flags=...) at kernel/qeventloop.cpp:201
#7  0x01971b73 in QThread::exec (this=0xa035a30) at thread/qthread.cpp:487
#8  0x088a234d in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#9  0x01974e32 in QThreadPrivate::start (arg=0xa035a30) at thread/qthread_unix.cpp:188
#10 0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb4567b70 (LWP 4178)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xa2c81e0, mutex=0xa2c81dc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa2c81e0, mutex=0xa2c81dc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xa2c81d0) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xa2c81d0) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb3d66b70 (LWP 4179)):
#0  0x0954ce06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x01a91bf3 in QTimerInfoList::getTime (this=0xa2d0abc, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x01a91de1 in QTimerInfoList::updateCurrentTime (this=0xa2d0abc) at kernel/qeventdispatcher_unix.cpp:297
#3  0x01a9288c in QTimerInfoList::timerWait (this=0xa2d0abc, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x01a90210 in timerSourcePrepare (source=0xa2d0a88, timeout=0xb3d6613c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x0695af90 in IA__g_main_context_prepare (context=0xa2d0208, priority=0xb3d661bc) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2280
#6  0x0695b351 in g_main_context_iterate (context=0xa2d0208, block=<value optimized out>, dispatch=1, self=0xa2c38d8) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2571
#7  0x0695b863 in IA__g_main_context_iteration (context=0xa2d0208, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#8  0x01a90067 in QEventDispatcherGlib::processEvents (this=0xa2d0198, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x01a63c79 in QEventLoop::processEvents (this=0xb3d66304, flags=) at kernel/qeventloop.cpp:149
#10 0x01a640ca in QEventLoop::exec (this=0xb3d66304, flags=...) at kernel/qeventloop.cpp:201
#11 0x01971b73 in QThread::exec (this=0xa2cf608) at thread/qthread.cpp:487
#12 0x01974e32 in QThreadPrivate::start (arg=0xa2cf608) at thread/qthread_unix.cpp:188
#13 0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb3565b70 (LWP 4180)):
#0  0x04ca8d4b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x05fbda46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x06959712 in IA__g_main_context_release (context=0xa2d1ac4) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2085
#3  0x0695b491 in g_main_context_iterate (context=0xa2d1ac0, block=<value optimized out>, dispatch=1, self=0xa320cd0) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2594
#4  0x0695b863 in IA__g_main_context_iteration (context=0xa2d1ac0, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#5  0x01a90067 in QEventDispatcherGlib::processEvents (this=0xa2d1a50, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x01a63c79 in QEventLoop::processEvents (this=0xb3565304, flags=) at kernel/qeventloop.cpp:149
#7  0x01a640ca in QEventLoop::exec (this=0xb3565304, flags=...) at kernel/qeventloop.cpp:201
#8  0x01971b73 in QThread::exec (this=0xa2d0af0) at thread/qthread.cpp:487
#9  0x01974e32 in QThreadPrivate::start (arg=0xa2d0af0) at thread/qthread_unix.cpp:188
#10 0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb2d64b70 (LWP 4181)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xa2d6bb8, mutex=0xa2d6bb4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa2d6bb8, mutex=0xa2d6bb4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xa2d6ba8) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xa2d6ba8) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb086ab70 (LWP 4182)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04cab142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd8d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x04c039ff in ?? () from /usr/lib/libxine.so.1
#4  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xafc5eb70 (LWP 4183)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x05fa9a71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x04c2cbe0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x04c11011 in ?? () from /usr/lib/libxine.so.1
#4  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xaf45db70 (LWP 4184)):
#0  0x05fbda50 in pthread_mutex_unlock () from /lib/tls/i686/cmov/libc.so.6
#1  0x0695b5df in g_main_context_iterate (context=0xa7e78c8, block=<value optimized out>, dispatch=1, self=0xa7e8fe8) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2569
#2  0x0695b863 in IA__g_main_context_iteration (context=0xa7e78c8, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#3  0x01a90067 in QEventDispatcherGlib::processEvents (this=0xa7e7858, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#4  0x01a63c79 in QEventLoop::processEvents (this=0xaf45d2b4, flags=) at kernel/qeventloop.cpp:149
#5  0x01a640ca in QEventLoop::exec (this=0xaf45d2b4, flags=...) at kernel/qeventloop.cpp:201
#6  0x01971b73 in QThread::exec (this=0xa7e7480) at thread/qthread.cpp:487
#7  0x0310f20a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x01974e32 in QThreadPrivate::start (arg=0xa7e7480) at thread/qthread_unix.cpp:188
#9  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xaaafeb70 (LWP 4193)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x05fa2c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x032a1c3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xaa2fdb70 (LWP 4194)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x04c145ee in ?? () from /usr/lib/libxine.so.1
#4  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xab2ffb70 (LWP 4204)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xade5ac8, mutex=0xade5ac4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xade5ac8, mutex=0xade5ac4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xade5ab8) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xade5ab8) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa9afcb70 (LWP 4211)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xafd2c78, mutex=0xafd2c74, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xafd2c78, mutex=0xafd2c74, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xafd2c68) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xafd2c68) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xabefdb70 (LWP 4212)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xb2ba258, mutex=0xb2ba254, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb2ba258, mutex=0xb2ba254, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xb2ba248) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xb2ba248) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xada56b70 (LWP 4252)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xc677960, mutex=0xc67795c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xc677960, mutex=0xc67795c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xc677950) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xc677950) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xac6feb70 (LWP 4253)):
#0  0x00fc6422 in __kernel_vsyscall ()
#1  0x04caae15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05fbd87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01975e67 in QWaitConditionPrivate::wait (this=0xc677c90, mutex=0xc677c8c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xc677c90, mutex=0xc677c8c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0113c8aa in Digikam::LoadSaveThread::run (this=0xc677c80) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x01974e32 in QThreadPrivate::start (arg=0xc677c80) at thread/qthread_unix.cpp:188
#7  0x04ca680e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x05fb08de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb77e7920 (LWP 4173)):
[KCrash Handler]
#6  0x019b88e5 in QString::size (this=0xc769f28, other=...) at ../../include/QtCore/../../src/corelib/tools/qstring.h:104
#7  QString::operator== (this=0xc769f28, other=...) at tools/qstring.cpp:1912
#8  0x07afcdaf in KDirWatchPrivate::Entry::findSubEntry (this=0xa169948) at ../../kio/kio/kdirwatch_p.h:157
#9  KDirWatchPrivate::inotifyEventReceived (this=0xa169948) at ../../kio/kio/kdirwatch.cpp:297
#10 0x07afe4cb in KDirWatchPrivate::qt_metacall (this=0xa169948, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfd850e8) at ./kdirwatch_p.moc:75
#11 0x01a7b263 in QMetaObject::activate (sender=0xa098e88, from_signal_index=4, to_signal_index=4, argv=0xbfd850e8) at kernel/qobject.cpp:3113
#12 0x01a7bec2 in QMetaObject::activate (sender=0xa098e88, m=0x1b568b0, local_signal_index=0, argv=0xbfd850e8) at kernel/qobject.cpp:3187
#13 0x01ab5503 in QSocketNotifier::activated (this=0xa098e88, _t1=23) at .moc/release-shared/moc_qsocketnotifier.cpp:83
#14 0x01a7fc87 in QSocketNotifier::event (this=0xa098e88, e=0xbfd854a4) at kernel/qsocketnotifier.cpp:316
#15 0x01de1f54 in QApplicationPrivate::notify_helper (this=0x9ea6a68, receiver=0xa098e88, e=0xbfd854a4) at kernel/qapplication.cpp:4056
#16 0x01de967c in QApplication::notify (this=0xbfd857f8, receiver=0xa098e88, e=0xbfd854a4) at kernel/qapplication.cpp:3603
#17 0x0151925a in KApplication::notify (this=0xbfd857f8, receiver=0xa098e88, event=0xbfd854a4) at ../../kdeui/kernel/kapplication.cpp:302
#18 0x01a656cb in QCoreApplication::notifyInternal (this=0xbfd857f8, receiver=0xa098e88, event=0xbfd854a4) at kernel/qcoreapplication.cpp:610
#19 0x01a902ca in QCoreApplication::sendEvent (source=0x9ea9820) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 socketNotifierSourceDispatch (source=0x9ea9820) at kernel/qeventdispatcher_glib.cpp:110
#21 0x06957e88 in g_main_dispatch (context=0x9ea8e90) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:1960
#22 IA__g_main_context_dispatch (context=0x9ea8e90) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2513
#23 0x0695b730 in g_main_context_iterate (context=0x9ea8e90, block=<value optimized out>, dispatch=1, self=0x9ea6d18) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2591
#24 0x0695b863 in IA__g_main_context_iteration (context=0x9ea8e90, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#25 0x01a9002c in QEventDispatcherGlib::processEvents (this=0x9e80e80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#26 0x01e82be5 in QGuiEventDispatcherGlib::processEvents (this=0x9e80e80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#27 0x01a63c79 in QEventLoop::processEvents (this=0xbfd85744, flags=) at kernel/qeventloop.cpp:149
#28 0x01a640ca in QEventLoop::exec (this=0xbfd85744, flags=...) at kernel/qeventloop.cpp:201
#29 0x01a6653f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#30 0x01de1dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#31 0x083bcb2b in main (argc=1, argv=0xbfd85c64) at /build/buildd/digikam-1.0.0/digikam/main.cpp:195

This bug may be a duplicate of or related to bug 225987

Reported using DrKonqi
Comment 1 caulier.gilles 2010-03-23 10:14:45 UTC

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 2 caulier.gilles 2017-07-19 03:45:19 UTC
Problem not reproducible since digiKam 5.0.0 as KDirWatch has been ported to
QFileSystemWatcher